# norootforbuild

Name:           correct-live-install
Version:        1
Release:        7.3
License:        GPL
Group:          System/Fhs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Summary:        Creacio del fitxer correct-live-install i correct_live_for_reboot
Vendor:		linkat

%description
Paquet que genera el fitxer correct_live_install i correct_live_for_reboot, indica el processos posteriors a l'instal.lacio en el disc dur.

%prep
%setup -q -T -c

%build
cat >correct_live_install <<EOF
#!/bin/bash

# Esborrar config. per defecte a ICEWM
rm -rf /root/.icewm
rm -rf /root/.dmrc

# Gnome com a gestor predeterminat (root i general)
sed -e 's/DEFAULT_WM=\"icewm\"/DEFAULT_WM=\"gnome\"/g' /etc/sysconfig/windowmanager > /etc/sysconfig/windowmanager.new
rm -rf /etc/sysconfig/windowmanager
mv /etc/sysconfig/windowmanager.new /etc/sysconfig/windowmanager
mv /etc/sysconfig/displaymanager /etc/sysconfig/displaymanager.bak

# Desactivar autologin
sed -e 's/DISPLAYMANAGER_AUTOLOGIN=\"root\"/DISPLAYMANAGER_AUTOLOGIN=\"\"/g' /etc/sysconfig/displaymanager.bak > /etc/sysconfig/displaymanager
rm -rf /etc/sysconfig/displaymanager.bak

# Activant serveis
chkconfig rpcbind on
chkconfig nfs on
chkconfig smbfs on
chkconfig cupsd on
chkconfig postfix on
chkconfig crond on
chkconfig smartd on
chkconfig sshd on
chkconfig network on

# Esborrar Yast2-live-installer
rpm -e yast2-live-installer
   
# Esborrar langset
rm /etc/langset.sh
rm -rf /etc/langset/
rm /etc/init.d/boot.langset

# Afegir els idiomes al Grub
/usr/sbin/gfxboot --add-languages ca_ES es_ES en_US --default-language ca_ES

EOF

cat >correct_live_for_reboot <<EOF
#! /bin/sh

# this script is called from the live installer once it finished copying the live
# image. So we only do the minimal changes necessary to reboot into the system

is_usb=0
if test "$1" = usb; then
  is_usb=1
fi

chkconfig sshd on
chkconfig cron on
# TODO make this conditional chkconfig boot.braille off
chkconfig boot.ldconfig on
chkconfig boot.langset off
chkconfig boot.compcache off

EOF

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp correct_live_install $RPM_BUILD_ROOT/usr/bin/
cp correct_live_for_reboot $RPM_BUILD_ROOT/usr/bin/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(544,root,root)
/usr/bin/correct_live_install
/usr/bin/correct_live_for_reboot

%changelog
* Tue Aug 18 2010 dlara@espherica.com
- Updated with new scripts (ported from LiveCD)

* Wed Jun 16 2010 dlara@espherica.com
- Split packages in LiveCD an Install.

* Thu Jun 10 2010 dlara@espherica.com
- Added scripts to activate some services
- Deleted script to active NM (now activate by default)

* Mon Jun 7 2010 dlara@espherica.com
- Added script to active NetworkManager

* Wed Jun 2 2010 dlara@espherica.com
- Added script to change WM from Twm to Gnome in install mode

* Fri May 28 2010 dlara@espherica.com
- Initial release
